Unified Deposit Address
Endpoints to create and manage unified deposit addresses
https://api.enclave.moneyHeaders: {
...
Authorization: <YOUR_API_KEY>
}Getting Started
Unique user identifier
user-1234Destination chain ID (EVM chainId)
8453Destination wallet address (EVM address)
0x742d35Cc6634C0532925a3b844Bc454e4438f44eDestination token contract address (EVM address)
0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2Unified deposit address created successfully
trueUnified deposit address object
Missing or invalid required fields
Conflict - user or enclaveId already has an active unified deposit address
Internal server error
POST /unified-deposit-address/create HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 185
{
"userId": "user-1234",
"destinationChainId": 8453,
"destinationAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"destinationTokenAddress": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2"
}{
"success": true,
"data": {
"userId": "user-1234",
"orgId": "org-5678",
"destinationChainId": 8453,
"destinationAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"destinationTokenAddress": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
"enclaveId": "550e8400-e29b-41d4-a716-446655440000",
"status": "ACTIVE",
"createdAt": "2024-06-01T12:00:00.000Z",
"updatedAt": "2024-06-01T12:00:00.000Z",
"depositAddresses": {
"evm_deposit_address": [
{
"chainId": 1,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xethmainnet...",
"deploymentBlock": 100000
},
{
"chainId": 8453,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xbase...",
"deploymentBlock": 200000
},
{
"chainId": 42161,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xarbitrum...",
"deploymentBlock": 300000
}
]
}
}
}Batch unified deposit addresses created successfully
trueInvalid request or batch size exceeded
Internal server error
POST /unified-deposit-address/create/batch HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 200
{
"requests": [
{
"userId": "user-1234",
"destinationChainId": 8453,
"destinationAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"destinationTokenAddress": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2"
}
]
}{
"success": true,
"results": [
{
"success": true,
"data": {
"userId": "user-1234",
"orgId": "org-5678",
"destinationChainId": 8453,
"destinationAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"destinationTokenAddress": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
"enclaveId": "550e8400-e29b-41d4-a716-446655440000",
"status": "ACTIVE",
"createdAt": "2024-06-01T12:00:00.000Z",
"updatedAt": "2024-06-01T12:00:00.000Z",
"depositAddresses": {
"evm_deposit_address": [
{
"chainId": 1,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xethmainnet...",
"deploymentBlock": 100000
},
{
"chainId": 8453,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xbase...",
"deploymentBlock": 200000
},
{
"chainId": 42161,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xarbitrum...",
"deploymentBlock": 300000
}
]
}
}
},
{
"success": false,
"error": "User already has an active unified deposit address"
}
]
}Unique user identifier
user-1234Unified deposit address found
trueUnified deposit address object
Missing required parameter
Unified deposit address not found for this user
Internal server error
GET /unified-deposit-address/user/{userId} HTTP/1.1
Accept: */*
{
"success": true,
"data": {
"userId": "user-1234",
"orgId": "org-5678",
"destinationChainId": 8453,
"destinationAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"destinationTokenAddress": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
"enclaveId": "550e8400-e29b-41d4-a716-446655440000",
"status": "ACTIVE",
"createdAt": "2024-06-01T12:00:00.000Z",
"updatedAt": "2024-06-01T12:00:00.000Z",
"depositAddresses": {
"evm_deposit_address": [
{
"chainId": 1,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xethmainnet...",
"deploymentBlock": 100000
},
{
"chainId": 8453,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xbase...",
"deploymentBlock": 200000
},
{
"chainId": 42161,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xarbitrum...",
"deploymentBlock": 300000
}
]
}
}
}Unique user identifier
user-1234Destination chain ID (EVM chainId)
8453Destination wallet address (EVM address)
0x742d35Cc6634C0532925a3b844Bc454e4438f44eDestination token contract address (EVM address)
0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2Destination details updated successfully
trueDestination details updated successfullyUpdated unified deposit address object
Missing or invalid required fields
Unified deposit address not found for this user
Internal server error
PUT /unified-deposit-address/user/{userId}/destination HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 164
{
"destinationChainId": 8453,
"destinationAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"destinationTokenAddress": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2"
}{
"success": true,
"message": "Destination details updated successfully",
"data": {
"userId": "user-1234",
"orgId": "org-5678",
"destinationChainId": 8453,
"destinationAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"destinationTokenAddress": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
"enclaveId": "550e8400-e29b-41d4-a716-446655440000",
"status": "ACTIVE",
"createdAt": "2024-06-01T12:00:00.000Z",
"updatedAt": "2024-06-01T12:00:00.000Z",
"depositAddresses": {
"evm_deposit_address": [
{
"chainId": 1,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xethmainnet...",
"deploymentBlock": 100000
},
{
"chainId": 8453,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xbase...",
"deploymentBlock": 200000
},
{
"chainId": 42161,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xarbitrum...",
"deploymentBlock": 300000
}
]
}
}
}Filter by deposit address status
ACTIVEPossible values: Number of results to return (pagination)
50Example: 20Offset for pagination
0Example: 0If true, fetch all addresses for the organization (ignores pagination)
trueList of unified deposit addresses
trueUnified deposit address object
Invalid query parameters
Internal server error
GET /unified-deposit-address/organization HTTP/1.1
Accept: */*
{
"success": true,
"data": [
{
"userId": "user-1234",
"orgId": "org-5678",
"destinationChainId": 8453,
"destinationAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"destinationTokenAddress": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
"enclaveId": "550e8400-e29b-41d4-a716-446655440000",
"status": "ACTIVE",
"createdAt": "2024-06-01T12:00:00.000Z",
"updatedAt": "2024-06-01T12:00:00.000Z",
"depositAddresses": {
"evm_deposit_address": [
{
"chainId": 1,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xethmainnet...",
"deploymentBlock": 100000
},
{
"chainId": 8453,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xbase...",
"deploymentBlock": 200000
},
{
"chainId": 42161,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xarbitrum...",
"deploymentBlock": 300000
}
]
}
}
]
}Internal enclaveId (UUID v4)
550e8400-e29b-41d4-a716-446655440000Unified deposit address found
trueUnified deposit address object
Missing or invalid enclaveId
Unified deposit address not found for this enclaveId
Internal server error
GET /unified-deposit-address/enclave/{enclaveId} HTTP/1.1
Accept: */*
{
"success": true,
"data": {
"userId": "user-1234",
"orgId": "org-5678",
"destinationChainId": 8453,
"destinationAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"destinationTokenAddress": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
"enclaveId": "550e8400-e29b-41d4-a716-446655440000",
"status": "ACTIVE",
"createdAt": "2024-06-01T12:00:00.000Z",
"updatedAt": "2024-06-01T12:00:00.000Z",
"depositAddresses": {
"evm_deposit_address": [
{
"chainId": 1,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xethmainnet...",
"deploymentBlock": 100000
},
{
"chainId": 8453,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xbase...",
"deploymentBlock": 200000
},
{
"chainId": 42161,
"contractAddress": "0x1111111111111111111111111111111111111111",
"deployed": true,
"deploymentTxHash": "0xarbitrum...",
"deploymentBlock": 300000
}
]
}
}
}Source chain ID of the depost transaction
8453Transaction hash of the deposit transaction
0xabc123...Teleport request status returned successfully
true550e8400-e29b-41d4-a716-446655440000COMPLETEDPossible values: SWAP[8453][8453]Map of chainId to transaction details
{"8453":{"status":"COMPLETED","txnURL":"https://basescan.org/tx/0xabc123...","requestId":"req-123"}}Map of chainId to array of transaction details
{"8453":[{"status":"COMPLETED","txnURL":"https://basescan.org/tx/0xdef456...","requestId":"req-456"}]}Transaction metadata including token details, amounts, and fees
169999999916999999990001699999999000Missing required parameters
No teleport request found
Internal server error
GET /unified-deposit-address/teleport/status?sourceChainId=1&inboundTransactionHash=text HTTP/1.1
Accept: */*
{
"success": true,
"multiTransactionId": "550e8400-e29b-41d4-a716-446655440000",
"overallStatus": "COMPLETED",
"transactionType": "SWAP",
"sourceChains": [
8453
],
"destinationChains": [
8453
],
"inputTransactions": {
"8453": {
"status": "COMPLETED",
"txnURL": "https://basescan.org/tx/0xabc123...",
"requestId": "req-123"
}
},
"outputTransactions": {
"8453": [
{
"status": "COMPLETED",
"txnURL": "https://basescan.org/tx/0xdef456...",
"requestId": "req-456"
}
]
},
"metadata": {},
"estimatedTime": 1699999999,
"createdTimestamp": 1699999999000,
"lastUpdatedTimestamp": 1699999999000
}Last updated